#!/bin/bash

declare -a samsung_bloat=(
	"com.cnn.mobile.android.phone.edgepanel"
	"com.dsi.ant.plugins.antplus" #Samsung+ ?
	"com.dsi.ant.sample.acquirechannels"
	"com.dsi.ant.server"
	"com.dsi.ant.service.socket"
	"com.hiya.star" # system/app/HiyaService/HiyaService.apk
	"com.mobeam.barcodeService"
	"com.monotype.android.font.chococooky"
	"com.monotype.android.font.cooljazz"
	"com.monotype.android.font.foundation"
	"com.monotype.android.font.rosemary"
	"com.osp.app.signin" # Samsung Account
	"com.policydm"
	"com.samsung.aasaservice"
	"com.samsung.advp.imssettings"
	"com.samsung.android.allshare.service.mediashare"
	"com.samsung.android.app.appsedge"
	"com.samsung.android.app.camera.sticker.facearavatar.preload"
	"com.samsung.android.app.clipboardedge" # system/app/ClipboardEdge/ClipboardEdge.apk
	"com.samsung.android.app.episodes"
	"com.samsung.android.app.galaxyfinder"
	"com.samsung.android.app.ledbackcover"
	"com.samsung.android.app.ledcoverdream"
	"com.samsung.android.app.memo"
	"com.samsung.android.app.mhswrappertmo"
	"com.samsung.android.app.mirrorlink"
	"com.samsung.android.app.news"
	"com.samsung.android.app.notes"
	"com.samsung.android.app.pinboard"
	"com.samsung.android.app.reminder"
	"com.samsung.android.app.routines"
	"com.samsung.android.app.sbrowseredge"
	"com.samsung.android.app.social"
	"com.samsung.android.app.spage"
	"com.samsung.android.app.storyalbumwidge"
	"com.samsung.android.app.talkback"
	"com.samsung.android.app.talkback" # system/app/STalkback/STalkback.apk
	"com.samsung.android.app.taskedge"
	"com.samsung.android.app.vrsetupwizardstub"
	"com.samsung.android.app.watchmanager"
	"com.samsung.android.app.watchmanagerstub"
	"com.samsung.android.app.withtv" # system/app/withTV/withTV.apk
	"com.samsung.android.aremoji"
	"com.samsung.android.asksmanager"
	"com.samsung.android.authfw"
	"com.samsung.android.bbc.bbcagent"
	"com.samsung.android.bbc.fileprovider"
	"com.samsung.android.beaconmanager"
	"com.samsung.android.bixby.agent"
	"com.samsung.android.bixby.agent.dummy"
	"com.samsung.android.bixby.es.globalaction"
	"com.samsung.android.bixby.plmsync"
	"com.samsung.android.bixby.service"
	"com.samsung.android.bixby.voiceinput"
	"com.samsung.android.bixby.wakeup"
	"com.samsung.android.bixbyvision.framework"
	"com.samsung.android.calendar"
	"com.samsung.android.da.daagent"
	"com.samsung.android.drivelink.stub"
	"com.samsung.android.easysetup"
	"com.samsung.android.email.provider"
	"com.samsung.android.game.gamehome"
	"com.samsung.android.game.gametools"
	"com.samsung.android.game.gos"
	"com.samsung.android.gametuner.thin"
	"com.samsung.android.hmt.vrshell"
	"com.samsung.android.hmt.vrsvc"
	"com.samsung.android.keyguardwallpaperupdator"
	"com.samsung.android.kidsinstaller"
	"com.samsung.android.mateagent"
	"com.samsung.android.mdx" 
	"com.samsung.android.mobileservice" #Samsung Experience Service (https://play.google.com/store/apps/details?id=com.samsung.android.mobileservice)
	"com.samsung.android.samsungpass"
	"com.samsung.android.samsungpassautofill"
	"com.samsung.android.scloud" # Samsung Cloud
	"com.samsung.android.scloud.auth"
	"com.samsung.android.scloud.sync"
	"com.samsung.android.sconnect"
	"com.samsung.android.securitylogagent"
	"com.samsung.android.service.livedrawing"
	"com.samsung.android.service.peoplestripe"
	"com.samsung.android.service.travel"
	"com.samsung.android.smartmirroring"
	"com.samsung.android.spay"
	"com.samsung.android.spayfw"
	"com.samsung.android.spayfw" #Samsung Pay Framework"
	"com.samsung.android.spdfnote"
	"com.samsung.android.ststub"
	"com.samsung.android.svoice"
	"com.samsung.android.tripwidget"
	"com.samsung.android.visionintelligence"
	"com.samsung.android.voicewakeup"
	"com.samsung.android.weather"
	"com.samsung.android.weather" # Météo
	"com.samsung.android.wellbeing"
	"com.samsung.android.widgetapp.yahooedge.finance"
	"com.samsung.android.widgetapp.yahooedge.sport"
	"com.samsung.desktopsystemui"
	"com.samsung.ecomm"
	"com.samsung.groupcast"
	"com.samsung.helphub"
	"com.samsung.klmsagent"
	"com.samsung.knox.knoxtrustagent"
	"com.samsung.knox.kss"
	"com.samsung.knox.securefolder"
	"com.samsung.mdl.radio"
	"com.samsung.oh"
	"com.samsung.safetyinformation"
	"com.samsung.sdm"
	"com.samsung.sdm.sdmviewer"
	"com.samsung.SMT"
	"com.samsung.svoice.sync"
	"com.samsung.systemui.bixby"
	"com.samsung.tmovvm"
	"com.samsung.voiceserviceplatform"
	"com.samsung.vvm"
	"com.sec.allsharecastplayer"
	"com.sec.android.app.billing"
	"com.sec.android.app.gamehub"
	"com.sec.android.app.launcher"
	"com.sec.android.app.magnifier"
	"com.sec.android.app.mt"
	"com.sec.android.app.myfiles"
	"com.sec.android.app.ocr"
	"com.sec.android.app.quicktool"
	"com.sec.android.app.samsungapps"
	"com.sec.android.app.sbrowser" # Navigateur internet par defaut
	"com.sec.android.app.SecSetupWizard"
	"com.sec.android.app.shealth"
	"com.sec.android.app.sns3"
	"com.sec.android.app.translator"
	"com.sec.android.app.voicenote"
	"com.sec.android.app.withtv"
	"com.sec.android.AutoPreconfig"
	"com.sec.android.cover.ledcover"
	"com.sec.android.daemonapp"
	"com.sec.android.desktopmode.uiservice"
	"com.sec.android.easyMover"
	"com.sec.android.easyMover.Agent"
	"com.sec.android.easyonehand"
	"com.sec.android.gallery3d"
	"com.sec.android.mimage.avatarstickers"
	"com.sec.android.mimage.photoretouching"
	"com.sec.android.provider.snote"
	"com.sec.android.service.health"
	"com.sec.android.sidesync30"
	"com.sec.android.uibcvirtualsoftkey"
	"com.sec.android.widgetapp.diotek.smemo"
	"com.sec.android.widgetapp.easymodecontactswidget"
	"com.sec.android.widgetapp.samsungapps"
	"com.sec.bcservice"
	"com.sec.enterprise.knox.attestation"
	"com.sec.enterprise.knox.shareddevice.keyguard"
	"com.sec.epdgtestapp"
	"com.sec.everglades"
	"com.sec.everglades.update"
	"com.sec.factory"
	"com.sec.kidsplat.installer"
	"com.sec.knox.bluetooth"
	"com.sec.knox.bridge"
	"com.sec.knox.containeragent2"
	"com.sec.knox.foldercontainer"
	"com.sec.knox.knoxsetupwizardclient"
	"com.sec.knox.packageverifier"
	"com.sec.knox.shortcutsms"
	"com.sec.knox.switcher"
	"com.sec.knox.switchknoxI"
	"com.sec.knox.switchknoxII"
	"com.sec.location.nsflp2"
	"com.sec.readershub"
	"com.sec.spp.push"
	"com.sec.svoice.lang.en_US"
	"com.sec.svoice.lang.es_US"
	"com.sec.yosemite.phone"
	"com.trustonic.tuiservice"
	"com.turner.cnvideoapp"
	"com.vlingo.midas"
	"com.wsomacp"
	"net.sharewire.parkmobilev2"
	"tv.peel.samsung.app"

	###### ADVANCED DEBLOAT ######
	#"com.sec.android.app.desktoplauncher"
	#"sec.android.emergencylauncher"
	#"com.samsung.android.lool" #Samsung maintenace features (in settings)
	)